GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
gdcm::Macro Class Reference

Class for representing a Macro. More...

`#include <gdcmMacro.h>`

## Public Types

typedef std::vector< std::string > | ArrayIncludeMacrosType
typedef std::map< Tag, MacroEntry > | MapModuleEntry

## Public Member Functions

| Macro ()
void | AddMacroEntry (const Tag &tag, const MacroEntry &module)
| Will add a ModuleEntry direcly at root-level. See Macro for nested-included level.
void | Clear ()
bool | FindMacroEntry (const Tag &tag) const
const MacroEntry & | GetMacroEntry (const Tag &tag) const
const char * | GetName () const
void | SetName (const char *name)
bool | Verify (const DataSet &ds, Usage const &usage) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Macro &_val)

## Detailed Description

Class for representing a Macro.

Note
  Attribute Macro: a set of Attributes that are described in a single table that is referenced by multiple Module or other tables.

See Also
  Module

## Member Typedef Documentation

typedef std::vector<std::string> gdcm::Macro::ArrayIncludeMacrosType

typedef std::map<Tag, MacroEntry> gdcm::Macro::MapModuleEntry

## Constructor & Destructor Documentation

gdcm::Macro::Macro | ( |  | ) |

inline

## Member Function Documentation

void gdcm::Macro::AddMacroEntry | ( | const Tag & | tag,
|  | const MacroEntry & | module
| ) |  |

inline

Will add a ModuleEntry direcly at root-level. See Macro for nested-included level.

void gdcm::Macro::Clear | ( |  | ) |

inline

bool gdcm::Macro::FindMacroEntry | ( | const Tag & | tag | ) | const

Find or Get a ModuleEntry. ModuleEntry are either search are root-level or within nested-macro included in module.

const MacroEntry& gdcm::Macro::GetMacroEntry | ( | const Tag & | tag | ) | const

const char* gdcm::Macro::GetName | ( |  | ) | const

inline

void gdcm::Macro::SetName | ( | const char * | name | ) |

inline

bool gdcm::Macro::Verify | ( | const DataSet & | ds,
|  | Usage const & | usage
| ) |  | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Macro & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmMacro.h